Botan 1.10.17

Namespaces | Macros
ossl_bc.cpp File Reference
`#include <botan/internal/openssl_engine.h>`
`#include <openssl/evp.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | HANDLE_EVP_CIPHER(NAME, EVP)
#define | HANDLE_EVP_CIPHER_KEYLEN(NAME, EVP, MIN, MAX, MOD)

## Macro Definition Documentation

## ◆ HANDLE_EVP_CIPHER

#define HANDLE_EVP_CIPHER | ( |  | NAME,
|  |  | EVP
| ) |  |

Value:
if(request.algo_name() == NAME && request.arg_count() == 0) \
return new EVP_BlockCipher(EVP, NAME);

Referenced by Botan::OpenSSL_Engine::find_block_cipher().

## ◆ HANDLE_EVP_CIPHER_KEYLEN

#define HANDLE_EVP_CIPHER_KEYLEN | ( |  | NAME,
|  |  | EVP,
|  |  | MIN,
|  |  | MAX,
|  |  | MOD
| ) |  |

Value:
if(request.algo_name() == NAME && request.arg_count() == 0) \
return new EVP_BlockCipher(EVP, NAME, MIN, MAX, MOD);

Referenced by Botan::OpenSSL_Engine::find_block_cipher().